
Installer - Bug #28004

katello-certs-check should set locales for $(date) commands

10/05/2019 12:31 PM - Andreas Bleischwitz

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1758759 Red Hat JIRA:  

Pull request:    

Description

When setting LC_TIME to anything else than EN_US or C, katello-certs-check is unable to parse the date-string.

Checking server certificate encoding: 

[OK]

date: ungültiges Datum „Okt 5 12:08:34 2019“

Checking expiration of certificate: /usr/sbin/katello-certs-check: Zeile 94: [: -gt: Einstelliger 

(unärer) Operator erwartet.

[OK]

Checking expiration of CA bundle: /usr/sbin/katello-certs-check: Zeile 100: [: -gt: Einstelliger (

unärer) Operator erwartet.

 
# locale |grep LC_TIME

LC_TIME="de_DE.utf8" 

Related issues:

Related to Installer - Bug #33109: Date used by katello-certs-check should be... Closed

History

#1 - 03/03/2022 01:13 PM - Birkir Hjartarson

Duplicate issue: https://projects.theforeman.org/issues/33019 (fixed in Katello 4.3.0)

#2 - 03/03/2022 01:19 PM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #33019: Introduce a valid solution to fix the error "Katello::Errors::CandlepinError: Environment with id XXXX could not be found"

added

#3 - 03/03/2022 01:24 PM - Ewoud Kohl van Wijngaarden

- Is duplicate of deleted (Bug #33019: Introduce a valid solution to fix the error "Katello::Errors::CandlepinError: Environment with id XXXX could not be

found")

#4 - 03/03/2022 01:24 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #33109: Date used by katello-certs-check should be formatted correctly by program added

#5 - 03/03/2022 01:25 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate

Looks like you're right there's a duplicate, but it's #33109.

Files

katello-certs-check-fix-LC_TIME.diff 998 Bytes 10/05/2019 Andreas Bleischwitz
